Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionToolBox Class Reference

The QStyleOptionToolBox class is used to describe the parameters needed for drawing a tool box. More...

    #include <QStyleOptionToolBox>

Inherits QStyleOption.

- List of all members, including inherited members

### Read-Only Properties

- icon : QIcon
- text : QString

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionToolBox ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionToolBox class is used to describe the parameters needed for drawing a tool box.

The QStyleOptionToolBox class is used for drawing QToolBox.

## Property Documentation

### icon : QIcon

This property holds the icon for the tool box tab.

### text : QString

This property holds the text for the tool box tab.

## Member Function Documentation

### QStyleOptionToolBox::QStyleOptionToolBox ()

Creates a QStyleOptionToolBox. The members variables are initialized to default values.